import { select,csv,scaleLinear,max,
        scaleBand,axisLeft,axisBottom} from 'd3';

const svg = select('svg');

const width = +svg.attr('width');
const height = +svg.attr('height');

const render=(data)=>{
    
const xScale=scaleLinear()
.domain([0, max(data,d=>d.population)])
.range([0,width]);

const yScale=scaleBand()
.domain(data.map(d=>d.country))
.range([0,height]);

const margin={top:80, right:20, bottom:20, left:80}
const g=svg.append('g')
.attr('transform',`translate(${margin.left},${margin.top})`);
//now for my axes

const yAxis=axisLeft(yScale)
const xAxis=axisBottom(xScale)

g.append('g')
  
g.selectAll('rect')
.data(data)
.enter().append('rect')
.attr('y',d=>yScale(d.country)) 
.attr('width',d=>xScale(d.population))
.attr('height',yScale.bandwidth()); 
};


csv('data.csv')
.then(data=>{
data.forEach(d=>{
d.population=+d.population*1000;
});
render(data);
});

